Get video heatmap
GET
/analytics/v1/videos/{videoId}/heatmapReturns the engagement heatmap for a video
Authorization
Bearer Authorization<token>
In: header
Path Parameters
videoId*string
Video ID
Query Parameters
buckets?string
Number of buckets
start?string
Start date (inclusive)
end?string
End date (inclusive)
Response Body
200application/json
OK
type: unknown
{
"$ref": "#/components/schemas/analyticsv1.VideoHeatmap",
"$ref-value": {
"properties": {
"data": {
"items": {
"type": "number"
},
"type": "array"
},
"total_duration_ms": {
"type": "integer"
},
"video_id": {
"type": "string"
}
},
"type": "object"
}
}curl -X GET "https://api.rixl.com/analytics/v1/videos/string/heatmap"OK
application/json
{
"$ref": "#/components/schemas/analyticsv1.VideoHeatmap",
"$ref-value": {
"properties": {
"data": {
"items": {
"type": "number"
},
"type": "array"
},
"total_duration_ms": {
"type": "integer"
},
"video_id": {
"type": "string"
}
},
"type": "object"
}
}